2

I don't see a record on the website of the differences in minimum/recommended system requirements between elementary OS releases (Luna 0.2, Freya 0.3, and Loki 0.4). Are they the same between releases?

3

Support for the previous elementary OS release quickly wanes after the next's release, though the release's base Ubuntu is supported five years from its release (see this table).

Loki (0.4)

Based on Ubuntu 16.04 LTS Xenial Xerus

  • Same as Freya, but no longer supports 32-bit processors (only 64-bit)

Freya (0.3)

Based on Ubuntu 14.04 LTS Trusty Tahr

Recommended System Specifications [Note: Still supports 32-bit processors]

  • Intel i3 or comparable dual-core 64-bit processor
  • 1 GB of system memory (RAM)
  • 15 GB of disk space
  • Internet access

Luna (0.2)

Based on Ubuntu 12.04 LTS Precise Pangolin

Minimum System Requirements

  • 1 GHz x86 processor
  • 512MB of system memory (RAM)
  • 5GB of disk space
  • Graphics card and display capable of at least 1024x768
  • CD/DVD drive or ability to boot to a USB drive

Users may be able to install Luna on devices that do not meet these requirements, but the experience is likely to suffer.

System Recommendations

  • 1 GHz x86 processor
  • 1GB of system memory (RAM)
  • 15 GB of disk space
  • Graphics card and display capable of at least 1024x768
  • 3D compositing
  • CD/DVD Drive or ability to boot to a USB drive
  • Internet access

Jupiter (0.1)

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.